petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoSetObjectiveRoutine

Sets the function evaluation routine for minimization

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetObjectiveRoutine(Tao tao, PetscErrorCode (*func)(Tao, Vec, PetscReal*,void*),void *ctx)

Logically collective on Tao

### Input Parameter

| tao | - the Tao context
| func | - the objective function
| ctx | - [optional] user-defined context for private data for the function evaluation routine (may be NULL)

### Calling sequence of func

         func (Tao tao, Vec x, PetscReal *f, void *ctx);

| x | - input vector
| f | - function value
| ctx | - [optional] user-defined function context

### See Also

TaoSetGradientRoutine(), TaoSetHessianRoutine() TaoSetObjectiveAndGradientRoutine()

Level:beginner
Location:src/tao/interface/taosolver_fg.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html